Bulk install packages

Base URL
https://{kibana_url}
  • POST /api/fleet/epm/packages/_bulk
  • POST /s/{space_id}/api/fleet/epm/packages/_bulk
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

prerelease boolean · default: false

Whether to return prerelease versions of packages (e.g. beta, rc, preview)

Request body

force boolean

force install to ignore package verification errors

packages union oneOf[] required

list of packages to install

One of:

package name

Responses

OK

application/json
items object[] required
name string
version string
response object[] deprecated
name string
version string

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}